## org.apache.lucene.store.je
Class JEIndexOutput

    java.lang.Object
      org.apache.lucene.store.IndexOutput
          org.apache.lucene.store.je.JEIndexOutput

    public class JEIndexOutput

extends org.apache.lucene.store.IndexOutput

Port of Andi Vajda's DbDirectory to Java Edition of Berkeley Database

Field Summary
`protected Block` `block`
`static int` `BLOCK_LEN`
`static int` `BLOCK_MASK`
`static int` `BLOCK_SHIFT` The size of data blocks, currently 16k (2^14), is determined by this constant.
`protected JEDirectory` `directory`
`protected File` `file`
`protected long` `length`
`protected long` `position`

Constructor Summary
`protected` `JEIndexOutput(JEDirectory directory, java.lang.String name, boolean create)`

Method Summary
`void` `close()`
`void` `flush()`
`long` `getFilePointer()`
`long` `length()`
`void` `seek(long pos)`
`void` `writeByte(byte b)`
`void` `writeBytes(byte[] b, int offset, int len)`

Methods inherited from class org.apache.lucene.store.IndexOutput
`copyBytes, setLength, writeBytes, writeChars, writeChars, writeInt, writeLong, writeString, writeStringStringMap, writeVInt, writeVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOCK_SHIFT

    public static final int BLOCK_SHIFT

  The size of data blocks, currently 16k (2^14), is determined by this constant.

  See Also:
    Constant Field Values

### BLOCK_LEN

    public static final int BLOCK_LEN

See Also:
  Constant Field Values

### BLOCK_MASK

    public static final int BLOCK_MASK

See Also:
  Constant Field Values

### position

    protected long position

### length

    protected long length

### directory

    protected JEDirectory directory

### block

    protected Block block

### file

    protected File file

Constructor Detail

### JEIndexOutput

    protected JEIndexOutput(JEDirectory directory,
                            java.lang.String name,
                            boolean create)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in class `org.apache.lucene.store.IndexOutput`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in class `org.apache.lucene.store.IndexOutput`
  Throws:
    `java.io.IOException`

### writeByte

    public void writeByte(byte b)
                   throws java.io.IOException

  Specified by:
    `writeByte` in class `org.apache.lucene.store.IndexOutput`
  Throws:
    `java.io.IOException`

### writeBytes

    public void writeBytes(byte[] b,
                           int offset,
                           int len)
                    throws java.io.IOException

  Specified by:
    `writeBytes` in class `org.apache.lucene.store.IndexOutput`
  Throws:
    `java.io.IOException`

### length

    public long length()
                throws java.io.IOException

  Specified by:
    `length` in class `org.apache.lucene.store.IndexOutput`
  Throws:
    `java.io.IOException`

### seek

    public void seek(long pos)
              throws java.io.IOException

  Specified by:
    `seek` in class `org.apache.lucene.store.IndexOutput`
  Throws:
    `java.io.IOException`

### getFilePointer

    public long getFilePointer()

  Specified by:
    `getFilePointer` in class `org.apache.lucene.store.IndexOutput`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.